# On some maps, we have to use an alternate armor stand system to detect if the button is pressed
execute at @e[type=armor_stand,name=SmithingTable,tag=!cannotSmith] if block ~ ~-1 ~ #minecraft:buttons[powered=true] as @e[type=item,distance=..2] at @s if block ~ ~-1 ~ #serration:can_smith run tag @s add readyToCraft
execute as @e[type=armor_stand,name=SmithingTable] at @s if block ~ ~-1 ~ #minecraft:buttons[powered=true] run tag @s add cannotSmith
execute as @e[type=armor_stand,name=SmithingTable] at @s unless block ~ ~-1 ~ #minecraft:buttons[powered=true] run tag @s remove cannotSmith

# Base Weapon Crafting
# OreType:0s = aur
# OreType:1s = fer
# OreType:2s = cer
# OreType:3s = for
scoreboard players set @a aurCount 0
scoreboard players set @a ferCount 0
scoreboard players set @a cerCount 0
scoreboard players set @a forCount 0

execute as @e[type=item,tag=!hasAdjDelay,nbt={Item:{tag:{IsOre:1b}}}] at @s if block ~ ~-1 ~ #serration:can_smith run data merge entity @s {PickupDelay:75s}
execute as @e[type=item,tag=!hasAdjDelay,nbt={Item:{tag:{IsOre:1b}}}] at @s if block ~ ~-1 ~ #serration:can_smith run tag @s add hasAdjDelay
tag @e[type=item,tag=readyToCraft,nbt=!{Item:{tag:{IsOre:1b}}}] remove readyToCraft
execute as @e[type=item,tag=readyToCraft] at @s unless block ~ ~-1 ~ #serration:can_smith run tag @s remove readyToCraft

tag @a remove serrCrafting
execute at @e[type=item,tag=readyToCraft,nbt={Item:{tag:{IsOre:1b}}}] run tag @p add serrCrafting
execute as @e[type=item] store result score @s serrItemCount run data get entity @s Item.Count
execute as @e[type=item,nbt={Item:{tag:{OreType:0s}}}] at @s if block ~ ~-1 ~ #serration:can_smith run scoreboard players operation @p[gamemode=!spectator,distance=..5] aurCount += @s serrItemCount
execute as @e[type=item,nbt={Item:{tag:{OreType:1s}}}] at @s if block ~ ~-1 ~ #serration:can_smith run scoreboard players operation @p[gamemode=!spectator,distance=..5] ferCount += @s serrItemCount
execute as @e[type=item,nbt={Item:{tag:{OreType:2s}}}] at @s if block ~ ~-1 ~ #serration:can_smith run scoreboard players operation @p[gamemode=!spectator,distance=..5] cerCount += @s serrItemCount
execute as @e[type=item,nbt={Item:{tag:{OreType:3s}}}] at @s if block ~ ~-1 ~ #serration:can_smith run scoreboard players operation @p[gamemode=!spectator,distance=..5] forCount += @s serrItemCount

tag @e[type=item] remove checkingActionbar
execute as @e[type=item,nbt={Item:{tag:{IsOre:1b}}}] at @s if block ~ ~-1 ~ #serration:can_smith run tag @s add checkingActionbar

execute at @a[tag=serrCrafting] at @e[type=item,tag=readyToCraft,sort=nearest,limit=1] if entity @e[type=item,distance=..1,nbt={Item:{tag:{IsSword:1b}}}] run tag @e[type=item,distance=..2,nbt={Item:{tag:{IsSword:1b}}}] add cannotForge

kill @e[type=marker,tag=swordSpawner]
execute at @a[tag=serrCrafting] at @e[type=item,tag=readyToCraft,sort=nearest,limit=1] align xyz unless entity @e[type=item,distance=..1,tag=!cannotForge,nbt={Item:{tag:{IsSword:1b}}}] run summon marker ~0.5 ~ ~0.5 {Tags:["swordSpawner"]}
scoreboard players set @a spawnSword 0
scoreboard players set @e[type=marker,tag=swordSpawner] spawnSword 0

# Give sword cheat
execute at @a[scores={giveSword=-99..}] run summon marker ~ ~ ~ {Tags:["swordSpawner","swordSpawnerCheat"]}
execute as @a[scores={giveSword=-99..}] at @s run scoreboard players operation @e[type=marker,tag=swordSpawner,distance=..1] spawnSword = @s giveSword
execute at @a[scores={giveSword=0}] run summon item ~ ~ ~ {Item:{id:"minecraft:wooden_sword",Count:1b,tag:{HideFlags:63,IsSword:1b,SwordID:0s,IsSting:1b,InnateModCap:0b,ModCapacityUsed:0b,Notches:0b,Unbreakable:1b,display:{Name:"{\"text\":\"Sting\",\"color\":\"white\",\"italic\":false}",Lore:["{\"translate\":\"serration.lore.sword.0\",\"color\":\"yellow\"}","{\"translate\":\"serration.lore.sword.notched0\",\"color\":\"blue\",\"italic\":false}","{\"translate\":\"serration.lore.sword.unbindable\",\"color\":\"blue\",\"italic\":false}"]},Enchantments:[{id:"minecraft:protection",lvl:1s},{id:"minecraft:knockback",lvl:0s}],AttributeModifiers:[{Slot:"mainhand",AttributeName:"generic.attack_damage",Name:"generic.attack_damage",Amount:4,Operation:0,UUID:[I; 790852930, -664965132, 414544764, -1789289691]},{Slot:"mainhand",AttributeName:"generic.attack_speed",Name:"generic.attack_speed",Amount:-3,Operation:0,UUID:[I; -18885561, 976136484, 1779619091, -1548660958]},{Slot:"mainhand",AttributeName:"generic.max_health",Name:"generic.max_health",Amount:0,Operation:1,UUID:[I; -756094789, 702974225, -1905300554, 590692992]}]}}}
scoreboard players set @a[scores={giveSword=-99..}] giveSword -100

kill @e[type=marker,tag=abIndicator]
function serration:recipes

# Display action bar of recipe
execute at @a[scores={spawnSword=-1}] run summon marker ~ ~ ~ {Tags:["abIndicator"],CustomName:"[{\"nbt\":\"abIndicatorPadding\",\"storage\":\"serration:constants\",\"interpret\":true},{\"text\":\"✔ \",\"color\":\"green\"},{\"text\":\"Debug Sword\",\"color\":\"green\",\"italic\":false}]"}
execute at @a[scores={spawnSword=-2}] run summon marker ~ ~ ~ {Tags:["abIndicator"],CustomName:"[{\"nbt\":\"abIndicatorPadding\",\"storage\":\"serration:constants\",\"interpret\":true},{\"text\":\"✔ \",\"color\":\"green\"},{\"text\":\"Charred Lump\",\"color\":\"white\",\"italic\":false}]"}

execute as @e[type=item,nbt={Item:{tag:{IsOre:1b}}},tag=checkingActionbar] at @s as @p[gamemode=!spectator] as @s[scores={aurCount=1..,ferCount=1..,cerCount=1..,forCount=1..}] at @s run title @s actionbar [{"score":{"name":"@s","objective":"aurCount"},"color":"gold"},{"text":" \ue000","color":"white"},{"text":" ","color":"white"},{"score":{"name":"@s","objective":"ferCount"},"color":"white"},{"text":" \ue001 ","color":"white"},{"score":{"name":"@s","objective":"cerCount"},"color":"#ED7655"},{"text":" \ue002","color":"white"},{"text":" ","color":"white"},{"score":{"name":"@s","objective":"forCount"},"color":"red"},{"text":" \ue003","color":"white"},{"nbt":"CustomName","entity":"@e[type=marker,tag=abIndicator,sort=nearest,limit=1]","interpret":true}]
execute as @e[type=item,nbt={Item:{tag:{IsOre:1b}}},tag=checkingActionbar] at @s as @p[gamemode=!spectator] as @s[scores={aurCount=1..,ferCount=1..,cerCount=1..,forCount=0}] at @s run title @s actionbar [{"score":{"name":"@s","objective":"aurCount"},"color":"gold"},{"text":" \ue000","color":"white"},{"text":" ","color":"white"},{"score":{"name":"@s","objective":"ferCount"},"color":"white"},{"text":" \ue001 ","color":"white"},{"score":{"name":"@s","objective":"cerCount"},"color":"#ED7655"},{"text":" \ue002","color":"white"},{"nbt":"CustomName","entity":"@e[type=marker,tag=abIndicator,sort=nearest,limit=1]","interpret":true}]
execute as @e[type=item,nbt={Item:{tag:{IsOre:1b}}},tag=checkingActionbar] at @s as @p[gamemode=!spectator] as @s[scores={aurCount=1..,ferCount=1..,cerCount=0,forCount=1..}] at @s run title @s actionbar [{"score":{"name":"@s","objective":"aurCount"},"color":"gold"},{"text":" \ue000","color":"white"},{"text":" ","color":"white"},{"score":{"name":"@s","objective":"ferCount"},"color":"white"},{"text":" \ue001 ","color":"white"},{"score":{"name":"@s","objective":"forCount"},"color":"red"},{"text":" \ue003","color":"white"},{"nbt":"CustomName","entity":"@e[type=marker,tag=abIndicator,sort=nearest,limit=1]","interpret":true}]
execute as @e[type=item,nbt={Item:{tag:{IsOre:1b}}},tag=checkingActionbar] at @s as @p[gamemode=!spectator] as @s[scores={aurCount=1..,ferCount=1..,cerCount=0,forCount=0}] at @s run title @s actionbar [{"score":{"name":"@s","objective":"aurCount"},"color":"gold"},{"text":" \ue000","color":"white"},{"text":" ","color":"white"},{"score":{"name":"@s","objective":"ferCount"},"color":"white"},{"text":" \ue001","color":"white"},{"nbt":"CustomName","entity":"@e[type=marker,tag=abIndicator,sort=nearest,limit=1]","interpret":true}]
execute as @e[type=item,nbt={Item:{tag:{IsOre:1b}}},tag=checkingActionbar] at @s as @p[gamemode=!spectator] as @s[scores={aurCount=1..,ferCount=0,cerCount=1..,forCount=1..}] at @s run title @s actionbar [{"score":{"name":"@s","objective":"aurCount"},"color":"gold"},{"text":" \ue000","color":"white"},{"text":" ","color":"white"},{"score":{"name":"@s","objective":"cerCount"},"color":"#ED7655"},{"text":" \ue002","color":"white"},{"text":" ","color":"white"},{"score":{"name":"@s","objective":"forCount"},"color":"red"},{"text":" \ue003","color":"white"},{"nbt":"CustomName","entity":"@e[type=marker,tag=abIndicator,sort=nearest,limit=1]","interpret":true}]
execute as @e[type=item,nbt={Item:{tag:{IsOre:1b}}},tag=checkingActionbar] at @s as @p[gamemode=!spectator] as @s[scores={aurCount=1..,ferCount=0,cerCount=1..,forCount=0}] at @s run title @s actionbar [{"score":{"name":"@s","objective":"aurCount"},"color":"gold"},{"text":" \ue000","color":"white"},{"text":" ","color":"white"},{"score":{"name":"@s","objective":"cerCount"},"color":"#ED7655"},{"text":" \ue002","color":"white"},{"nbt":"CustomName","entity":"@e[type=marker,tag=abIndicator,sort=nearest,limit=1]","interpret":true}]
execute as @e[type=item,nbt={Item:{tag:{IsOre:1b}}},tag=checkingActionbar] at @s as @p[gamemode=!spectator] as @s[scores={aurCount=1..,ferCount=0,cerCount=0,forCount=1..}] at @s run title @s actionbar [{"score":{"name":"@s","objective":"aurCount"},"color":"gold"},{"text":" \ue000","color":"white"},{"text":" ","color":"white"},{"score":{"name":"@s","objective":"forCount"},"color":"red"},{"text":" \ue003","color":"white"},{"nbt":"CustomName","entity":"@e[type=marker,tag=abIndicator,sort=nearest,limit=1]","interpret":true}]
execute as @e[type=item,nbt={Item:{tag:{IsOre:1b}}},tag=checkingActionbar] at @s as @p[gamemode=!spectator] as @s[scores={aurCount=1..,ferCount=0,cerCount=0,forCount=0}] at @s run title @s actionbar [{"score":{"name":"@s","objective":"aurCount"},"color":"gold"},{"text":" \ue000","color":"white"},{"nbt":"CustomName","entity":"@e[type=marker,tag=abIndicator,sort=nearest,limit=1]","interpret":true}]
execute as @e[type=item,nbt={Item:{tag:{IsOre:1b}}},tag=checkingActionbar] at @s as @p[gamemode=!spectator] as @s[scores={aurCount=0,ferCount=1..,cerCount=1..,forCount=1..}] at @s run title @s actionbar [{"score":{"name":"@s","objective":"ferCount"},"color":"white"},{"text":" \ue001 ","color":"white"},{"score":{"name":"@s","objective":"cerCount"},"color":"#ED7655"},{"text":" \ue002","color":"white"},{"text":" ","color":"white"},{"score":{"name":"@s","objective":"forCount"},"color":"red"},{"text":" \ue003","color":"white"},{"nbt":"CustomName","entity":"@e[type=marker,tag=abIndicator,sort=nearest,limit=1]","interpret":true}]
execute as @e[type=item,nbt={Item:{tag:{IsOre:1b}}},tag=checkingActionbar] at @s as @p[gamemode=!spectator] as @s[scores={aurCount=0,ferCount=1..,cerCount=1..,forCount=0}] at @s run title @s actionbar [{"score":{"name":"@s","objective":"ferCount"},"color":"white"},{"text":" \ue001 ","color":"white"},{"score":{"name":"@s","objective":"cerCount"},"color":"#ED7655"},{"text":" \ue002","color":"white"},{"nbt":"CustomName","entity":"@e[type=marker,tag=abIndicator,sort=nearest,limit=1]","interpret":true}]
execute as @e[type=item,nbt={Item:{tag:{IsOre:1b}}},tag=checkingActionbar] at @s as @p[gamemode=!spectator] as @s[scores={aurCount=0,ferCount=1..,cerCount=0,forCount=1..}] at @s run title @s actionbar [{"score":{"name":"@s","objective":"ferCount"},"color":"white"},{"text":" \ue001 ","color":"white"},{"score":{"name":"@s","objective":"forCount"},"color":"red"},{"text":" \ue003","color":"white"},{"nbt":"CustomName","entity":"@e[type=marker,tag=abIndicator,sort=nearest,limit=1]","interpret":true}]
execute as @e[type=item,nbt={Item:{tag:{IsOre:1b}}},tag=checkingActionbar] at @s as @p[gamemode=!spectator] as @s[scores={aurCount=0,ferCount=1..,cerCount=0,forCount=0}] at @s run title @s actionbar [{"score":{"name":"@s","objective":"ferCount"},"color":"white"},{"text":" \ue001","color":"white"},{"nbt":"CustomName","entity":"@e[type=marker,tag=abIndicator,sort=nearest,limit=1]","interpret":true}]
execute as @e[type=item,nbt={Item:{tag:{IsOre:1b}}},tag=checkingActionbar] at @s as @p[gamemode=!spectator] as @s[scores={aurCount=0,ferCount=0,cerCount=1..,forCount=1..}] at @s run title @s actionbar [{"score":{"name":"@s","objective":"cerCount"},"color":"#ED7655"},{"text":" \ue002","color":"white"},{"text":" ","color":"white"},{"score":{"name":"@s","objective":"forCount"},"color":"red"},{"text":" \ue003","color":"white"},{"nbt":"CustomName","entity":"@e[type=marker,tag=abIndicator,sort=nearest,limit=1]","interpret":true}]
execute as @e[type=item,nbt={Item:{tag:{IsOre:1b}}},tag=checkingActionbar] at @s as @p[gamemode=!spectator] as @s[scores={aurCount=0,ferCount=0,cerCount=1..,forCount=0}] at @s run title @s actionbar [{"score":{"name":"@s","objective":"cerCount"},"color":"#ED7655"},{"text":" \ue002","color":"white"},{"nbt":"CustomName","entity":"@e[type=marker,tag=abIndicator,sort=nearest,limit=1]","interpret":true}]
execute as @e[type=item,nbt={Item:{tag:{IsOre:1b}}},tag=checkingActionbar] at @s as @p[gamemode=!spectator] as @s[scores={aurCount=0,ferCount=0,cerCount=0,forCount=1..}] at @s run title @s actionbar [{"score":{"name":"@s","objective":"forCount"},"color":"red"},{"text":" \ue003","color":"white"},{"nbt":"CustomName","entity":"@e[type=marker,tag=abIndicator,sort=nearest,limit=1]","interpret":true}]

# Particles if can craft a sword
scoreboard players set @a[scores={canCraftParticleTimer=4..}] canCraftParticleTimer 0
execute as @a[gamemode=!spectator] unless entity @s[scores={spawnSword=0}] run scoreboard players add @s canCraftParticleTimer 1
execute as @a[gamemode=!spectator] unless entity @s[scores={spawnSword=0}] run scoreboard players add @s canCraftParticleEligibility 1
execute as @a[gamemode=!spectator] if entity @s[scores={spawnSword=0}] run scoreboard players set @s canCraftParticleEligibility 0
execute as @a[gamemode=!spectator,scores={canCraftParticleTimer=4..,canCraftParticleEligibility=8..}] unless entity @s[scores={spawnSword=0}] at @s at @e[type=item,nbt={Item:{tag:{IsOre:1b}}},tag=checkingActionbar,distance=..5,sort=nearest,limit=1] align xyz run particle minecraft:glow ~0.5 ~0.5 ~0.5 0.4 0.4 0.4 0 1

# Summon treasure sword items
execute at @e[type=marker,tag=swordSpawner,scores={spawnSword=-1}] run summon item ~ ~ ~ {Tags:["resettingLore"],Item:{id:"minecraft:golden_sword",Count:1b,tag:{HideFlags:63,IsSting:1b,IsSword:1b,InnateModCap:127b,ModCapacityUsed:0b,Notches:0b,SwordID:-1s,Unbreakable:1b,Enchantments:[{id:"minecraft:knockback",lvl:255s}],display:{Name:"{\"text\":\"Debug Sword\",\"color\":\"green\",\"italic\":false}"}}}}
execute at @e[type=marker,tag=swordSpawner,scores={spawnSword=-2}] run summon item ~ ~ ~ {Tags:["resettingLore"],Item:{id:"minecraft:charcoal",Count:1b,tag:{HideFlags:63,IsSting:1b,IsSword:1b,InnateModCap:0b,ModCapacityUsed:0b,Notches:0b,SwordID:-2s,Unbreakable:1b,display:{Name:"{\"text\":\"Charred Lump\",\"color\":\"white\",\"italic\":false}"}}}}
execute at @e[type=marker,tag=swordSpawner,scores={spawnSword=-2}] as @e[type=item,tag=resettingLore,nbt={Item:{tag:{IsSword:1b,SwordID:-2s}}},distance=..1] store result entity @s Item.tag.NoStacking int 1 run data get entity @e[type=item,distance=..5,limit=1] UUID[0]
execute at @e[type=marker,tag=swordSpawner,scores={spawnSword=-3}] run summon item ~ ~ ~ {Item:{id:"minecraft:iron_shovel",Count:1b,tag:{DroppedWeapon:-3s}}}
execute at @e[type=marker,tag=swordSpawner,scores={spawnSword=-4}] run summon item ~ ~ ~ {Item:{id:"minecraft:diamond_axe",Count:1b,tag:{DroppedWeapon:-4s}}}
execute at @e[type=marker,tag=swordSpawner,scores={spawnSword=-5}] run summon item ~ ~ ~ {Item:{id:"minecraft:diamond_pickaxe",Count:1b,tag:{DroppedWeapon:-5s}}}
execute at @e[type=marker,tag=swordSpawner,scores={spawnSword=-6}] run summon item ~ ~ ~ {Item:{id:"minecraft:golden_axe",Count:1b,tag:{DroppedWeapon:-6s}}}
execute at @e[type=marker,tag=swordSpawner,scores={spawnSword=-7}] run summon item ~ ~ ~ {Item:{id:"minecraft:stick",Count:1b,tag:{DroppedWeapon:-7s}}}
execute as @e[type=marker,tag=swordSpawner] at @s[tag=!swordSpawnerCheat] as @e[type=item,distance=..2] run data merge entity @s {PickupDelay:3s}

execute as @e[type=item,nbt={Item:{tag:{DroppedWeapon:-3s}}}] run data merge entity @s {Tags:["resettingLore","newEliteWeapon"],Item:{id:"minecraft:iron_shovel",Count:1b,tag:{HideFlags:63,DroppedWeapon:0s,IsEliteWeapon:1b,IsSting:1b,IsSword:1b,InnateModCap:0b,ModCapacityUsed:0b,Notches:0b,SwordID:-3s,Unbreakable:1b,Enchantments:[{id:"minecraft:protection",lvl:1s},{id:"minecraft:knockback",lvl:0s}],display:{Name:"{\"text\":\"Ancient Javelin\",\"color\":\"light_purple\",\"italic\":false}"}}}}
execute as @e[type=item,nbt={Item:{tag:{DroppedWeapon:-4s}}}] run data merge entity @s {Tags:["resettingLore","newEliteWeapon"],Item:{id:"minecraft:diamond_axe",Count:1b,tag:{HideFlags:63,DroppedWeapon:0s,IsEliteWeapon:1b,IsSting:1b,IsSword:1b,InnateModCap:0b,ModCapacityUsed:0b,Notches:0b,SwordID:-4s,Unbreakable:1b,Enchantments:[{id:"minecraft:protection",lvl:1s},{id:"minecraft:knockback",lvl:2s}],display:{Name:"{\"text\":\"Ol' Painless\",\"color\":\"light_purple\",\"italic\":false}"}}}}
execute as @e[type=item,nbt={Item:{tag:{DroppedWeapon:-5s}}}] run data merge entity @s {Tags:["resettingLore","newEliteWeapon"],Item:{id:"minecraft:diamond_pickaxe",Count:1b,tag:{HideFlags:63,DroppedWeapon:0s,IsEliteWeapon:1b,IsSting:1b,IsSword:1b,InnateModCap:0b,ModCapacityUsed:0b,Notches:0b,SwordID:-5s,Unbreakable:1b,Enchantments:[{id:"minecraft:protection",lvl:1s},{id:"minecraft:knockback",lvl:0s}],display:{Name:"{\"text\":\"Diamond Anchor\",\"color\":\"light_purple\",\"italic\":false}"}}}}
execute as @e[type=item,nbt={Item:{tag:{DroppedWeapon:-6s}}}] run data merge entity @s {Tags:["resettingLore","newEliteWeapon"],Item:{id:"minecraft:golden_axe",Count:1b,tag:{HideFlags:63,DroppedWeapon:0s,IsEliteWeapon:1b,IsSting:1b,IsSword:1b,InnateModCap:0b,ModCapacityUsed:0b,Notches:0b,SwordID:-6s,Unbreakable:1b,Enchantments:[{id:"minecraft:protection",lvl:1s},{id:"minecraft:knockback",lvl:1s}],display:{Name:"{\"text\":\"Divine Hammer\",\"color\":\"light_purple\",\"italic\":false}"}}}}
execute as @e[type=item,nbt={Item:{tag:{DroppedWeapon:-7s}}}] run data merge entity @s {Tags:["resettingLore"],Item:{id:"minecraft:stick",Count:1b,tag:{HideFlags:63,DroppedWeapon:0s,IsSting:1b,IsSword:1b,InnateModCap:0b,ModCapacityUsed:0b,Notches:0b,SwordID:-7s,Unbreakable:1b,Enchantments:[{id:"minecraft:protection",lvl:1s},{id:"minecraft:knockback",lvl:255s}],display:{Name:"{\"text\":\"\\\"Excalibur\\\"\",\"color\":\"green\",\"italic\":false}"}}}}
function serration:lores
execute as @e[type=item,nbt={Item:{tag:{IsSword:1b,SwordID:0s}}},tag=resettingLore] run data merge entity @s {Item:{tag:{AttributeModifiers:[{Slot:"mainhand",AttributeName:"generic.attack_damage",Name:"generic.attack_damage",Amount:4,Operation:0,UUID:[I; 790852930, -664965132, 414544764, -1789289691]},{Slot:"mainhand",AttributeName:"generic.attack_speed",Name:"generic.attack_speed",Amount:-3,Operation:0,UUID:[I; -18885561, 976136484, 1779619091, -1548660958]},{Slot:"mainhand",AttributeName:"generic.max_health",Name:"generic.max_health",Amount:0,Operation:1,UUID:[I; -756094789, 702974225, -1905300554, 590692992]}],display:{Lore:["{\"translate\":\"serration.lore.sword.0\",\"color\":\"yellow\"}","{\"translate\":\"serration.lore.sword.notched0\",\"color\":\"blue\",\"italic\":false}","{\"translate\":\"serration.lore.sword.unbindable\",\"color\":\"blue\",\"italic\":false}"]}}}}
execute as @e[type=item,nbt={Item:{tag:{IsSword:1b,SwordID:-1s}}},tag=resettingLore] run data merge entity @s {Item:{tag:{AttributeModifiers:[{Slot:"mainhand",AttributeName:"generic.attack_damage",Name:"generic.attack_damage",Amount:99999,Operation:0,UUID:[I; 700188985, 600909982, -449113839, -760210684]},{Slot:"mainhand",AttributeName:"generic.attack_speed",Name:"generic.attack_speed",Amount:5,Operation:0,UUID:[I; -673204049, 1307194328, -1768102283, -1309901009]}],display:{Lore:["{\"translate\":\"serration.lore.sword.-1\",\"color\":\"yellow\"}","{\"translate\":\"serration.lore.sword.notched0\",\"color\":\"blue\",\"italic\":false}","{\"translate\":\"serration.lore.sword.unbindable\",\"color\":\"blue\",\"italic\":false}"]}}}}
execute as @e[type=item,nbt={Item:{tag:{IsSword:1b,SwordID:-2s}}},tag=resettingLore] run data merge entity @s {Item:{tag:{AttributeModifiers:[{Slot:"mainhand",AttributeName:"generic.attack_damage",Name:"generic.attack_damage",Amount:3,Operation:0,UUID:[I; -1549424941, 1856891578, -577249372, 239172886]},{Slot:"mainhand",AttributeName:"generic.attack_speed",Name:"generic.attack_speed",Amount:-3.9,Operation:0,UUID:[I; -364823174, 1735518203, 1489210831, -310996255]}],display:{Lore:["{\"translate\":\"serration.lore.sword.-2\",\"color\":\"yellow\"}","{\"translate\":\"serration.lore.sword.notched0\",\"color\":\"blue\",\"italic\":false}","{\"translate\":\"serration.lore.sword.unbindable\",\"color\":\"blue\",\"italic\":false}"]}}}}
execute as @e[type=item,nbt={Item:{tag:{IsSword:1b,SwordID:-3s}}},tag=resettingLore] run data merge entity @s {Item:{tag:{AttributeModifiers:[{Slot:"mainhand",AttributeName:"generic.attack_damage",Name:"generic.attack_damage",Amount:6,Operation:0,UUID:[I; -1676742777, 1123990892, 166446498, -1114240226]},{Slot:"mainhand",AttributeName:"generic.attack_speed",Name:"generic.attack_speed",Amount:-2.3,Operation:0,UUID:[I; 907841992, 760740453, 1408128495, -1029608313]}],display:{Lore:["{\"translate\":\"serration.lore.sword.-3\",\"color\":\"yellow\"}","{\"translate\":\"serration.lore.sword.notched0\",\"color\":\"blue\",\"italic\":false}","{\"translate\":\"serration.lore.sword.unbindable\",\"color\":\"blue\",\"italic\":false}"]}}}}
execute as @e[type=item,nbt={Item:{tag:{IsSword:1b,SwordID:-4s}}},tag=resettingLore] run data merge entity @s {Item:{tag:{AttributeModifiers:[{Slot:"mainhand",AttributeName:"generic.attack_damage",Name:"generic.attack_damage",Amount:10,Operation:0,UUID:[I; 1028631957, 997144045, -824345712, -498868586]},{Slot:"mainhand",AttributeName:"generic.attack_speed",Name:"generic.attack_speed",Amount:-3.2,Operation:0,UUID:[I; -463586897, 1934367774, -138587672, -1393398627]}],display:{Lore:["{\"translate\":\"serration.lore.sword.-4\",\"color\":\"yellow\"}","{\"translate\":\"serration.lore.sword.notched0\",\"color\":\"blue\",\"italic\":false}","{\"translate\":\"serration.lore.sword.unbindable\",\"color\":\"blue\",\"italic\":false}"]}}}}
execute as @e[type=item,nbt={Item:{tag:{IsSword:1b,SwordID:-5s}}},tag=resettingLore] run data merge entity @s {Item:{tag:{AttributeModifiers:[{Slot:"mainhand",AttributeName:"generic.attack_damage",Name:"generic.attack_damage",Amount:8,Operation:0,UUID:[I; -17687534, 1297921437, -147146037, -643663465]},{Slot:"mainhand",AttributeName:"generic.attack_speed",Name:"generic.attack_speed",Amount:-2.8,Operation:0,UUID:[I; 783670998, -1742597615, 158579920, 1048460991]}],display:{Lore:["{\"translate\":\"serration.lore.sword.-5\",\"color\":\"yellow\"}","{\"translate\":\"serration.lore.sword.notched0\",\"color\":\"blue\",\"italic\":false}","{\"translate\":\"serration.lore.sword.unbindable\",\"color\":\"blue\",\"italic\":false}"]}}}}
execute as @e[type=item,nbt={Item:{tag:{IsSword:1b,SwordID:-6s}}},tag=resettingLore] run data merge entity @s {Item:{tag:{AttributeModifiers:[{Slot:"mainhand",AttributeName:"generic.attack_damage",Name:"generic.attack_damage",Amount:14,Operation:0,UUID:[I; 127112397, 440052330, -933246559, -873944550]},{Slot:"mainhand",AttributeName:"generic.attack_speed",Name:"generic.attack_speed",Amount:-3.5,Operation:0,UUID:[I; 1478791315, -1153720016, -1329066609, 1091356971]}],display:{Lore:["{\"translate\":\"serration.lore.sword.-6\",\"color\":\"yellow\"}","{\"translate\":\"serration.lore.sword.notched0\",\"color\":\"blue\",\"italic\":false}","{\"translate\":\"serration.lore.sword.unbindable\",\"color\":\"blue\",\"italic\":false}"]}}}}
execute as @e[type=item,nbt={Item:{tag:{IsSword:1b,SwordID:-7s}}},tag=resettingLore] run data merge entity @s {Item:{tag:{AttributeModifiers:[{Slot:"mainhand",AttributeName:"generic.attack_damage",Name:"generic.attack_damage",Amount:0,Operation:0,UUID:[I; 77657374, 1727992098, 1036738743, -1104680975]},{Slot:"mainhand",AttributeName:"generic.attack_speed",Name:"generic.attack_speed",Amount:0,Operation:0,UUID:[I; 1428662158, 1972068339, 1455957209, 702661322]}],display:{Lore:["{\"translate\":\"serration.lore.sword.-7\",\"color\":\"yellow\",\"italic\":true}","{\"translate\":\"serration.lore.sword.notched0\",\"color\":\"blue\",\"italic\":false}","{\"translate\":\"serration.lore.sword.unbindable\",\"color\":\"blue\",\"italic\":false}"]}}}}
execute as @a[tag=!360,nbt={SelectedItem:{tag:{SwordID:0s}}}] run item modify entity @s weapon.mainhand serration:knockback_set_0
execute as @a[tag=!360,nbt={SelectedItem:{tag:{SwordID:0s}}}] run item modify entity @s weapon.offhand serration:knockback_set_0
execute as @a[tag=!360,nbt={SelectedItem:{tag:{SwordID:-1s}}}] run item modify entity @s weapon.mainhand serration:knockback_set_255
execute as @a[tag=!360,nbt={SelectedItem:{tag:{SwordID:-1s}}}] run item modify entity @s weapon.offhand serration:knockback_set_255
execute as @a[tag=!360,nbt={SelectedItem:{tag:{SwordID:-2s}}}] run item modify entity @s weapon.mainhand serration:knockback_set_0
execute as @a[tag=!360,nbt={SelectedItem:{tag:{SwordID:-2s}}}] run item modify entity @s weapon.offhand serration:knockback_set_0
execute as @a[tag=!360,nbt={SelectedItem:{tag:{SwordID:-3s}}}] run item modify entity @s weapon.mainhand serration:knockback_set_0
execute as @a[tag=!360,nbt={SelectedItem:{tag:{SwordID:-3s}}}] run item modify entity @s weapon.offhand serration:knockback_set_0
execute as @a[tag=!360,nbt={SelectedItem:{tag:{SwordID:-4s}}}] run item modify entity @s weapon.mainhand serration:knockback_set_2
execute as @a[tag=!360,nbt={SelectedItem:{tag:{SwordID:-4s}}}] run item modify entity @s weapon.offhand serration:knockback_set_2
execute as @a[tag=!360,nbt={SelectedItem:{tag:{SwordID:-5s}}}] run item modify entity @s weapon.mainhand serration:knockback_set_0
execute as @a[tag=!360,nbt={SelectedItem:{tag:{SwordID:-5s}}}] run item modify entity @s weapon.offhand serration:knockback_set_0
execute as @a[tag=!360,nbt={SelectedItem:{tag:{SwordID:-6s}}}] run item modify entity @s weapon.mainhand serration:knockback_set_1
execute as @a[tag=!360,nbt={SelectedItem:{tag:{SwordID:-6s}}}] run item modify entity @s weapon.offhand serration:knockback_set_1
execute as @a[tag=!360,nbt={SelectedItem:{tag:{SwordID:-7s}}}] run item modify entity @s weapon.mainhand serration:knockback_set_255
execute as @a[tag=!360,nbt={SelectedItem:{tag:{SwordID:-7s}}}] run item modify entity @s weapon.offhand serration:knockback_set_255

tag @e[tag=resettingLore] remove resettingLore

execute at @a[tag=serrCrafting] at @e[type=item,tag=readyToCraft,sort=nearest,limit=1] unless entity @e[type=item,distance=..1,tag=!cannotForge,nbt={Item:{tag:{IsSword:1b}}}] at @e[type=item,tag=readyToCraft,sort=nearest,limit=1] run playsound minecraft:item.trident.hit_ground master @a ~ ~ ~ 2 0.75
execute at @a[tag=serrCrafting] at @e[type=item,tag=readyToCraft,sort=nearest,limit=1] unless entity @e[type=item,distance=..1,tag=!cannotForge,nbt={Item:{tag:{IsSword:1b}}}] at @e[type=item,tag=readyToCraft,sort=nearest,limit=1] run particle minecraft:large_smoke ~ ~ ~ 0.7 0.1 0.7 0 10 normal
execute at @a[tag=serrCrafting] at @e[type=item,tag=readyToCraft,sort=nearest,limit=1] unless entity @e[type=item,distance=..1,tag=!cannotForge,nbt={Item:{tag:{IsSword:1b}}}] at @e[type=item,tag=readyToCraft,sort=nearest,limit=1] as @e[type=item,tag=readyToCraft,distance=..3] run data merge entity @s {PickupDelay:0s}
execute at @a[tag=serrCrafting] at @e[type=item,tag=readyToCraft,sort=nearest,limit=1] unless entity @e[type=item,distance=..1,tag=!cannotForge,nbt={Item:{tag:{IsSword:1b}}}] at @e[type=item,tag=readyToCraft,sort=nearest,limit=1] run tag @e[type=item,tag=readyToCraft,distance=..5] remove readyToCraft

scoreboard players set @a[scores={aurCount=1..}] aurCount 0
scoreboard players set @a[scores={ferCount=1..}] ferCount 0
scoreboard players set @a[scores={cerCount=1..}] cerCount 0
scoreboard players set @a[scores={forCount=1..}] forCount 0
tag @e[type=item,tag=doneSmithingSound] remove doneSmithingSound
execute at @a[tag=serrCrafting] run tag @e[type=item,nbt={Item:{tag:{IsSword:1b}}},tag=!cannotForge,sort=nearest,limit=1] add doneSmithingSound

# tier 4 noise
execute at @e[type=item,tag=doneSmithingSound,nbt={Item:{id:"minecraft:golden_sword"}}] run playsound minecraft:entity.ender_dragon.hurt block @a ~ ~ ~ 1 0.7
execute at @e[type=item,tag=doneSmithingSound,nbt={Item:{id:"minecraft:golden_sword"}}] run playsound minecraft:entity.iron_golem.hurt block @a ~ ~ ~ 1 1.5
execute at @e[type=item,tag=doneSmithingSound,nbt={Item:{id:"minecraft:golden_sword"}}] run playsound minecraft:block.bell.resonate block @a ~ ~ ~ 1 1.5
execute at @e[type=item,tag=doneSmithingSound,nbt={Item:{id:"minecraft:golden_sword"}}] align xyz run particle minecraft:end_rod ~0.5 ~1.5 ~0.5 0.1 1.1 0.1 0 14
execute at @e[type=item,tag=doneSmithingSound,nbt={Item:{id:"minecraft:golden_sword"}}] align xyz run particle minecraft:soul_fire_flame ~0.5 ~1.2 ~0.5 0 0.8 0 0 14
execute as @e[type=item,tag=doneSmithingSound,nbt={Item:{id:"minecraft:golden_sword"}}] run tag @s remove doneSmithingSound

# tier 3 noise
execute at @e[type=item,tag=doneSmithingSound,nbt={Item:{id:"minecraft:diamond_sword"}}] run playsound minecraft:entity.blaze.hurt block @a ~ ~ ~ 1 0
execute at @e[type=item,tag=doneSmithingSound,nbt={Item:{id:"minecraft:diamond_sword"}}] run playsound minecraft:block.amethyst_block.break block @a ~ ~ ~ 1 0
execute at @e[type=item,tag=doneSmithingSound,nbt={Item:{id:"minecraft:diamond_sword"}}] align xyz run particle minecraft:enchanted_hit ~0.5 ~1.5 ~0.5 0.2 1.2 0.2 0 20
execute at @e[type=item,tag=doneSmithingSound,nbt={Item:{id:"minecraft:diamond_sword"}}] align xyz run particle minecraft:end_rod ~0.5 ~1.2 ~0.5 0.1 1.1 0.1 0 14
execute as @e[type=item,tag=doneSmithingSound,nbt={Item:{id:"minecraft:diamond_sword"}}] run tag @s remove doneSmithingSound

# tier 2 noise
execute at @e[type=item,tag=doneSmithingSound,nbt={Item:{id:"minecraft:iron_sword"}}] run playsound minecraft:entity.blaze.hurt block @a ~ ~ ~ 1 1
execute at @e[type=item,tag=doneSmithingSound,nbt={Item:{id:"minecraft:iron_sword"}}] run playsound minecraft:block.amethyst_block.step block @a ~ ~ ~ 1 0.8
execute at @e[type=item,tag=doneSmithingSound,nbt={Item:{id:"minecraft:iron_sword"}}] align xyz run particle minecraft:crit ~0.5 ~1 ~0.5 0 0.6 0 0.1 12
execute as @e[type=item,tag=doneSmithingSound,nbt={Item:{id:"minecraft:iron_sword"}}] run tag @s remove doneSmithingSound

# tier 1 noise
execute at @e[type=item,tag=doneSmithingSound] run playsound minecraft:entity.blaze.hurt block @a ~ ~ ~ 1 1
execute as @e[type=item,tag=doneSmithingSound] run tag @s remove doneSmithingSound

kill @e[type=item,tag=readyToCraft]

# elite weapon beacon and sounds
execute if entity @e[type=item,tag=newEliteWeapon] as @a at @s run playsound minecraft:item.trident.thunder block @s ~ ~ ~ 10 0.8
execute if entity @e[type=item,tag=newEliteWeapon] as @a at @s run playsound minecraft:block.bell.resonate block @s ~ ~ ~ 10 0
tag @e[type=item,tag=newEliteWeapon] add eliteWepBeacon
execute at @e[type=item,tag=eliteWepBeacon] run particle minecraft:end_rod ~ ~3 ~ 0 3 0 0 1
execute at @e[type=item,tag=eliteWepBeacon] run particle minecraft:soul_fire_flame ~ ~4 ~ 0.35 4 0.35 0 1
tag @e[type=item] remove newEliteWeapon

scoreboard players set @a serrIntStrike 0